<?xml version="1.0" encoding="utf-8"?>
<com.google.android.material.circularreveal.CircularRevealFrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/swipeContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/fab_margin"
            android:layout_marginLeft="@dimen/fab_margin"
            android:layout_marginEnd="@dimen/fab_margin"
            android:layout_marginRight="@dimen/fab_margin"
            android:layout_marginBottom="20dp"
            android:paddingLeft="@dimen/drawer_padding"
            android:paddingRight="@dimen/drawer_padding"
            android:scrollbars="none"
            tools:ignore="UselessParent">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="@dimen/fab_margin"
                android:paddingRight="@dimen/fab_margin"
                tools:ignore="UselessParent">

                <!--  NOTIFICATIONS -->
                <LinearLayout
                    android:id="@+id/settings_notifications"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="1"
                            android:text="@string/set_notify"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/set_notify"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_margin="10dp"
                            android:gravity="center" />
                    </LinearLayout>


                    <LinearLayout
                        android:id="@+id/notification_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <!-- Choose stream -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:orientation="horizontal">

                            <Spinner
                                android:id="@+id/set_live_type"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content" />
                        </LinearLayout>

                        <TextView
                            android:id="@+id/set_live_type_indication"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="10dp"
                            android:textColor="@color/mastodonC2" />

                        <LinearLayout
                            android:id="@+id/live_notif_per_account"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/settings_option_margin"
                            android:layout_marginBottom="@dimen/settings_option_margin"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="10dp"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/set_allow_live_notifications_title"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/set_allow_live_notifications"
                                    android:textSize="16sp" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/set_allow_live_notifications_indication"
                                    android:textColor="@color/mastodonC2"
                                    android:textSize="12sp" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_allow_live_notifications"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                                <ImageButton
                                    android:id="@+id/set_allow_live_notifications_others"
                                    style="@style/colored_button"
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:layout_gravity="end"
                                    android:contentDescription="@string/live_notif"
                                    android:padding="5dp"
                                    android:src="@drawable/ic_account_circle_acct" />
                            </LinearLayout>


                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/set_hide_status_bar_container"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/settings_option_margin"
                            android:layout_marginBottom="@dimen/settings_option_margin"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="10dp"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/set_hide_status_bar"
                                    android:textSize="16sp" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/set_hide_status_bar_indication"
                                    android:textColor="@color/mastodonC2"
                                    android:textSize="12sp" />
                            </LinearLayout>

                            <ImageButton
                                android:id="@+id/set_hide_status_bar"
                                style="@style/colored_button"
                                android:layout_width="40dp"
                                android:layout_height="40dp"
                                android:contentDescription="@string/bookmark_add"
                                android:padding="5dp"
                                android:src="@drawable/ic_hide_status_bar" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/notification_settings"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:text="@string/settings_category_notif_customize"
                                    android:textColor="?colorAccent"
                                    android:textSize="16sp" />

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />
                            </LinearLayout>

                            <Button
                                android:id="@+id/set_notif_sound"
                                style="@style/colored_button"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center"
                                android:text="@string/set_notif_sound"
                                android:tint="@android:color/white" />

                            <LinearLayout
                                android:id="@+id/channels_container"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <Button
                                        android:id="@+id/sound_mention"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_mention"
                                        android:tint="@android:color/white" />

                                    <Button
                                        android:id="@+id/sound_follow"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_follow"
                                        android:tint="@android:color/white" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <Button
                                        android:id="@+id/sound_boost"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_boost"
                                        android:tint="@android:color/white" />

                                    <Button
                                        android:id="@+id/sound_fav"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_fav"
                                        android:tint="@android:color/white" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <Button
                                        android:id="@+id/sound_poll"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_poll"
                                        android:tint="@android:color/white" />

                                    <Button
                                        android:id="@+id/sound_media"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_media"
                                        android:tint="@android:color/white" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">

                                    <Button
                                        android:id="@+id/sound_backup"
                                        style="@style/colored_button"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:gravity="center"
                                        android:singleLine="true"
                                        android:text="@string/channel_notif_backup"
                                        android:tint="@android:color/white" />

                                    <Button
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:visibility="invisible" />
                                </LinearLayout>

                            </LinearLayout>
                            <!-- NOTIFICATIONS SETTINGS -->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:text="@string/settings_category_notif_categories"
                                    android:textColor="?colorAccent"
                                    android:textSize="16sp" />

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_follow"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_notif_follow"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_follow_add"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_notif_follow_add"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_follow_mention"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_notif_follow_mention"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_follow_share"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_notif_follow_share"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_follow_poll"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_notif_follow_poll"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <!-- END NOTIFICATIONS SETTINGS -->

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:text="@string/settings_category_notif_time_slot"
                                    android:textColor="?colorAccent"
                                    android:textSize="16sp" />

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/settings_option_margin"
                                android:layout_marginBottom="@dimen/settings_option_margin"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="10dp"
                                    android:layout_weight="1"
                                    android:text="@string/set_enable_time_slot"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_enable_time_slot"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/settings_time_from" />

                                <Button
                                    android:id="@+id/settings_time_from"
                                    style="@style/colored_button"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:focusableInTouchMode="false" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/settings_time_to" />

                                <Button
                                    android:id="@+id/settings_time_to"
                                    style="@style/colored_button"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:focusableInTouchMode="false" />

                                <Spinner
                                    android:id="@+id/action_notification"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:entries="@array/action_notification" />
                            </LinearLayout>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:paddingBottom="10dp"
                                android:text="@string/set_enable_time_slot_indication"
                                android:textColor="@color/mastodonC2" />
                            <!-- MORE OPTIONS SETTINGS -->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:text="@string/settings_category_notif_advanced"
                                    android:textColor="?colorAccent"
                                    android:textSize="16sp" />

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="1dp"
                                    android:layout_margin="10dp"
                                    android:layout_weight="1"
                                    android:background="?colorAccent" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_weight="1"
                                    android:text="@string/set_wifi_only"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_wifi_only"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="10dp"
                                    android:gravity="center" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_weight="1"
                                    android:text="@string/set_notif_silent"
                                    android:textSize="16sp" />

                                <androidx.appcompat.widget.SwitchCompat
                                    android:id="@+id/set_silence"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_margin="10dp"
                                    android:gravity="center" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/set_led_colour_label"
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_weight="1"
                                    android:text="@string/set_led_colour"
                                    android:textSize="16sp" />

                                <Spinner
                                    android:id="@+id/led_colour_spinner"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:entries="@array/led_colours" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

    </FrameLayout>
</com.google.android.material.circularreveal.CircularRevealFrameLayout>
